summaryrefslogtreecommitdiff
path: root/auto-installer.sh
diff options
context:
space:
mode:
Diffstat (limited to 'auto-installer.sh')
-rwxr-xr-xauto-installer.sh82
1 files changed, 41 insertions, 41 deletions
diff --git a/auto-installer.sh b/auto-installer.sh
index 475fc09..f87e0ee 100755
--- a/auto-installer.sh
+++ b/auto-installer.sh
@@ -44,51 +44,51 @@ get_game
[ -d "$TARGETDIR" ] && export alwaysdiesafely=1
echo "$FULLGAMENAME detected, installing"
-# "${scriptdir}/${MINSCRIPT}" -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
+"${scriptdir}/${MINSCRIPT}" -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
-# if [ -n "$EXTRASCRIPT" ]; then
-# if query "Do you want to do a full install, so the CDs will not be needed again?" y; then
-# FULLINSTALL=1
-# "${scriptdir}/${EXTRASCRIPT}" -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
-# else
-# FULLINSTALL=0
-# fi
-# fi
+if [ -n "$EXTRASCRIPT" ]; then
+ if query "Do you want to do a full install, so the CDs will not be needed again?" y; then
+ FULLINSTALL=1
+ "${scriptdir}/${EXTRASCRIPT}" -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
+ else
+ FULLINSTALL=0
+ fi
+fi
-# if [ "$FULLINSTALL" -eq 0 ]; then
-# if [ -n "$EXPANSIONSCRIPT" ]; then
-# if query "Do you want to install the files needed by the $EXPANSIONNAME expansion?" y; then
-# EXPANSIONINSTALL=1
-# "${scriptdir}/${EXPANSIONSCRIPT}" -i "$TARGETDIR" -c "$CDMOUNT" "1>/dev/null" # || diequietly
-# else
-# EXPANSIONINSTALL=0
-# fi
-# fi
-# fi
+if [ "$FULLINSTALL" -eq 0 ]; then
+ if [ -n "$EXPANSIONSCRIPT" ]; then
+ if query "Do you want to install the files needed by the $EXPANSIONNAME expansion?" y; then
+ EXPANSIONINSTALL=1
+ "${scriptdir}/${EXPANSIONSCRIPT}" -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
+ else
+ EXPANSIONINSTALL=0
+ fi
+ fi
+fi
-# if [ -n "$PATCHES" ]; then
-# for patch in "$PATCHES"; do
-# patch="$scriptdir/$patch"
-# # grab 17th line from scripts (description line; after license)
-# patchtitle=$(sed -n 17p "$patch"|cut -d ' ' -f 2-)
-# if query "Do you want to install $patchtitle" y; then
-# "$patch" \
-# -i "$TARGETDIR" \
-# -p "$PATCHDIR" \
-# -l "$LANGUAGE" \
-# -c "$CDMOUNT" \
-# 1>/dev/null
-# fi
-# done
-# fi
+if [ -n "$PATCHES" ]; then
+ for patch in "$PATCHES"; do
+ patch="$scriptdir/$patch"
+ # grab 17th line from scripts (description line; after license)
+ patchtitle=$(sed -n 17p "$patch"|cut -d ' ' -f 2-)
+ if query "Do you want to install $patchtitle" y; then
+ "$patch" \
+ -i "$TARGETDIR" \
+ -p "$PATCHDIR" \
+ -l "$LANGUAGE" \
+ -c "$CDMOUNT" \
+ 1>/dev/null
+ fi
+ done
+fi
-# if [ -n "$WINDOWSFILES" ]; then
-# if query "Do you want to remove unneeded windows files?" n; then
-# for badfile in "$WINDOWSFILES"; do
-# rm -rf "${TARGETDIR}/${badfile}"
-# done
-# fi
-# fi
+if [ -n "$WINDOWSFILES" ]; then
+ if query "Do you want to remove unneeded windows files?" n; then
+ for badfile in "$WINDOWSFILES"; do
+ rm -rf "${TARGETDIR}/${badfile}"
+ done
+ fi
+fi
echo
echo "$FULLGAMENAME installed successfully"